--- rp-pppoe-3.13/gui/Makefile.in
+++ rp-pppoe-3.13/gui/Makefile.in
@@ -46,7 +46,7 @@
 	-mkdir -p $(DESTDIR)$(sbindir)
 	-mkdir -p $(DESTDIR)$(bindir)
 	-mkdir -p $(DESTDIR)/etc/ppp/rp-pppoe-gui
-	$(install) -m 4755 -s pppoe-wrapper $(DESTDIR)$(sbindir)
+	$(install) -m 4755 pppoe-wrapper $(DESTDIR)$(sbindir)
 	$(install) -m 755 tkpppoe $(DESTDIR)$(bindir)
 	-mkdir -p $(DESTDIR)$(mandir)/man1
 	$(install) -m 644 pppoe-wrapper.1 $(DESTDIR)$(mandir)/man1
--- rp-pppoe-3.13/src/configure.in
+++ rp-pppoe-3.13/src/configure.in
@@ -45,7 +45,7 @@
 AC_MSG_RESULT($ac_cv_struct_sockaddr_ll)
 
 if test "$ac_cv_struct_sockaddr_ll" = yes ; then
-AC_DEFINE(HAVE_STRUCT_SOCKADDR_LL)
+AC_DEFINE(HAVE_STRUCT_SOCKADDR_LL, 1, [Define if you have struct sockaddr_ll])
 fi
 
 dnl Check for N_HDLC line discipline
@@ -58,7 +58,7 @@
 	ac_cv_n_hdlc=no)
 AC_MSG_RESULT($ac_cv_n_hdlc)
 if test "$ac_cv_n_hdlc" = yes ; then
-AC_DEFINE(HAVE_N_HDLC)
+AC_DEFINE(HAVE_N_HDLC, 1, [Define if you have the N_HDLC line discipline in linux/termios.h])
 fi
 
 AC_ARG_ENABLE(plugin, [  --enable-plugin=pppd_src_path   build pppd plugin], ac_cv_pluginpath=$enableval, ac_cv_pluginpath=no)
@@ -106,7 +106,7 @@
 if test "$ac_cv_header_linux_if_pppox_h" = yes ; then
 	if test "$ac_cv_pluginpath" != no ; then
 		LINUX_KERNELMODE_PLUGIN=rp-pppoe.so
-		AC_DEFINE(HAVE_LINUX_KERNEL_PPPOE)
+		AC_DEFINE(HAVE_LINUX_KERNEL_PPPOE, 1, [Define if you have kernel-mode PPPoE in Linux file])
 		PPPD_INCDIR=$ac_cv_pluginpath
 	fi
 fi
@@ -116,7 +116,7 @@
 fi
 
 if test "$ac_cv_debugging" = "yes" ; then
-   AC_DEFINE(DEBUGGING_ENABLED)
+   AC_DEFINE(DEBUGGING_ENABLED, 1, [Define to include debugging code])
 fi
 
 AC_SUBST(LINUX_KERNELMODE_PLUGIN)
@@ -156,15 +156,15 @@
 AC_MSG_CHECKING(for Linux 2.4.X kernel-mode PPPoE support)
 AC_CACHE_VAL(ac_cv_linux_kernel_pppoe,[
 if test "`uname -s`" = "Linux" ; then
-if test $cross_compiling = "no"; then
+dnl if test $cross_compiling = "no"; then
 
 dnl Do a bunch of modprobes.  Can't hurt; might help.
-modprobe ppp_generic > /dev/null 2>&1
-modprobe ppp_async > /dev/null 2>&1
-modprobe n_hdlc > /dev/null 2>&1
-modprobe ppp_synctty > /dev/null 2>&1
-modprobe pppoe > /dev/null 2>&1
-fi
+dnl modprobe ppp_generic > /dev/null 2>&1
+dnl modprobe ppp_async > /dev/null 2>&1
+dnl modprobe n_hdlc > /dev/null 2>&1
+dnl modprobe ppp_synctty > /dev/null 2>&1
+dnl modprobe pppoe > /dev/null 2>&1
+dnl fi
 AC_TRY_RUN([#include <sys/socket.h>
 #include <netinet/in.h>
 #include <linux/if_pppox.h>
@@ -204,7 +204,7 @@
 dnl Figure out pppd version.  2.3.7 to 2.3.9 -- issue warning.  Less than
 dnl 2.3.7 -- stop
 
-PPPD_VERSION=`$PPPD --version 2>&1 | awk ' /version/ {print $NF}'`
+PPPD_VERSION=$PPPD_VER
 
 case "$PPPD_VERSION" in
 1.*|2.0.*|2.1.*|2.2.*|2.3.0|2.3.1|2.3.2|2.3.3|2.3.4|2.3.5|2.3.6)
@@ -260,7 +260,7 @@
 
 if test "$rpppoe_cv_pack_bitfields" = "rev" ; then
 	AC_MSG_RESULT(reversed)
-	AC_DEFINE(PACK_BITFIELDS_REVERSED)
+	AC_DEFINE(PACK_BITFIELDS_REVERSED, 1, [Define if bitfields are packed in reverse order])
 else
 	AC_MSG_RESULT(normal)
 fi
--- rp-pppoe-3.13/src/plugin.c
+++ rp-pppoe-3.13/src/plugin.c
@@ -24,7 +24,6 @@
 *
 ***********************************************************************/
 
-#define _GNU_SOURCE 1
 #include "pppoe.h"
 
 #include "pppd/pppd.h"
--- rp-pppoe-3.13/src/relay.c
+++ rp-pppoe-3.13/src/relay.c
@@ -14,7 +14,6 @@
 * $Id$
 *
 ***********************************************************************/
-#define _GNU_SOURCE 1 /* For SA_RESTART */
 #include "config.h"
 
 #include <sys/socket.h>
